summaryrefslogtreecommitdiff
path: root/perl/t/data
diff options
context:
space:
mode:
authorBill MacAllister <whm@dropbox.com>2016-01-05 08:18:37 +0000
committerBill MacAllister <whm@dropbox.com>2016-01-05 08:18:37 +0000
commit9e1b210844faaa451cee3b9c0afa738120062e79 (patch)
tree04dc0116e6db1af234359b2f92bc6c280eb7b2ff /perl/t/data
parent2a03ce35be9b900cc0fd5f305dec54ebcf3fed5a (diff)
parent802e47e8d84530d191817b2d86978a0b09803186 (diff)
Merge branch 'master' into ad-keytabs
Conflicts: NEWS
Diffstat (limited to 'perl/t/data')
-rwxr-xr-xperl/t/data/acl-command43
1 files changed, 43 insertions, 0 deletions
diff --git a/perl/t/data/acl-command b/perl/t/data/acl-command
new file mode 100755
index 0000000..e368118
--- /dev/null
+++ b/perl/t/data/acl-command
@@ -0,0 +1,43 @@
+#!/bin/sh
+#
+# An external ACL implementation. Checks that the first argument is
+# eagle@eyrie.org, the second argument is "test", and then returns success,
+# failure, or reports an error based on whether the second argument is
+# success, failure, or error.
+#
+# Written by Russ Allbery <eagle@eyrie.org>
+# Copyright 2016 Russ Allbery <eagle@eyrie.org>
+#
+# See LICENSE for licensing terms.
+
+set -e
+
+# Check the initial principal argument.
+if [ "$1" != 'eagle@eyrie.org' ]; then
+ echo 'incorrect principal' >&2
+ exit 1
+fi
+
+# Check that the second argument is test.
+if [ "$2" != 'test' ]; then
+ echo 'incorrect second argument' >&2
+ exit 1
+fi
+
+# Process the third argument.
+case $3 in
+ success)
+ exit 0
+ ;;
+ failure)
+ exit 1
+ ;;
+ error)
+ echo 'some error' >&2
+ exit 1
+ ;;
+ *)
+ echo 'unknown third argument' >&2
+ exit 1
+ ;;
+esac